#encoding: utf-8
module InovadoraXml
  module Modules
    module FormatadorNfse
      def data_formato_br(data)
        # Padrão: 11/11/2011
        data = data.to_time if data.class == String
        data.strftime('%d/%m/%Y') unless data.nil? || data.to_s == ""
      end

      def data_nfse(data)
        # Padrão: 2010-11-11
        data = data.to_time if data.class == String
        data.strftime('%Y-%m-%d') unless data.nil? || data.to_s == ""
      end

      def data_hora_nfse(data)
        # Padrão: 2010-09-16T14:50:00
        data = data.to_time if data.class == String
        data.strftime('%Y-%m-%dT%H:%M:%S') unless data.nil?
      end

      def data_hora_gmt(data)
        # Padrão: 2010-09-16T14:50:00
        data = data.to_time if data.class == String
        data.strftime('%Y-%m-%dT%H:%M:%S%:z') unless data.nil?
      end

      def hora_nfse(data)
        # Padrão: 11:26:00
        data = data.to_time if data.class == String
        data.strftime('%H:%M:%S') unless data.nil?
      end
    end
  end
end